package com;

/**
 * AbstractUserinfo entity provides the base persistence definition of the
 * Userinfo entity. @author MyEclipse Persistence Tools
 */

public abstract class AbstractUserinfo implements java.io.Serializable {

	// Fields

	private Integer id;
	private String username;
	private String password;
	private Integer age;
	private String email;

	// Constructors

	/** default constructor */
	public AbstractUserinfo() {
	}

	/** minimal constructor */
	public AbstractUserinfo(Integer id, String password) {
		this.id = id;
		this.password = password;
	}

	/** full constructor */
	/*public AbstractUserinfo(Integer id, String username, String password,
			Integer age, String email) {
		this.id = id;
		this.username = username;
		this.password = password;
		this.age = age;
		this.email = email;
	}*/
	public AbstractUserinfo( String username, String password,
			Integer age, String email) {
		//this.id = id;
		this.username = username;
		this.password = password;
		this.age = age;
		this.email = email;
	}
	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getUsername() {
		System.out.println(this.username);
		return this.username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		System.out.println(this.password);
		return this.password;
		
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public Integer getAge() {
		return this.age;
	}

	public void setAge(Integer age) {
		this.age = age;
	}

	public String getEmail() {
		return this.email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

}